Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 185342 - Provide Javadoc out of the box
Provide Javadoc out of the box
Status: RESOLVED FIXED
Product: installer
Classification: Unclassified
Component: RPM
6.x
Other Linux
: P3 (vote)
: 6.x
Assigned To: Victor Vasilyev
issues@installer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-03 09:28 UTC by Jaroslav Tulach
Modified: 2010-09-01 14:38 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2010-05-03 09:28:03 UTC
Java IDE without Javadoc for Java packages is ridiculous. That is why I am constantly being surprised that when I install netbeans, I see no Javadoc. 

I understand the historical reason as well, why it is not present in the ZIP/windows distributions. But, as there are JRE javadoc packages on each Linux distribution, I don't know why we shall not use them.

Here is my patch for netbeans.spec RPM to depend on java-javadoc and link to it via proper default_platform.xml file:

http://svn.mandriva.com/cgi-bin/viewvc.cgi/packages/cooker/netbeans/current/SPECS/netbeans.spec?r1=533603&r2=541712&pathrev=541712

This patch will work in any version 6.7, 6.8, 6.9 and also in future (however it may be replaced by standard javadoc provider independent on packaging technology one day).

Consider using my patch in Fedore and Ubuntu packages.
Comment 1 Yulia Novozhilova 2010-06-15 10:40:11 UTC
Fixed for deb packages in Lucid.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo